XTextWidth(3) | Library Functions Manual | XTextWidth(3)

# NAME

XTextWidth, XTextWidth16 - compute text width

# SYNTAX

int XTextWidth(XFontStruct *font_struct, char *string, int count);

int XTextWidth16(XFontStruct *font_struct, XChar2b * string, int count);

# ARGUMENTS

count
  Specifies the character count in the specified string.

font_struct
  Specifies the font used for the width computation.

string
  Specifies the character string.

# DESCRIPTION

The XTextWidth and XTextWidth16 functions return the width of the specified 8-bit or 2-byte character strings.

# SEE ALSO

XLoadFont(3), XTextExtents(3)
Xlib - C Language X Interface

X Version 11 | XLIB FUNCTIONS